Loading...
Searching...
No Matches
AVCodecHWConfig Struct Reference
libavcodec » Core functions/structures.

`#include <libavcodec/codec.h>`

## Data Fields

enum AVPixelFormat | pix_fmt
| For decoders, a hardware pixel format which that decoder may be able to decode to if suitable hardware is available.
int | methods
| Bit set of AV_CODEC_HW_CONFIG_METHOD_* flags, describing the possible setup methods which can be used with this configuration.
enum AVHWDeviceType | device_type
| The device type associated with the configuration.

## Detailed Description

Examples
  hw_decode.c.

Definition at line 330 of file codec.h.

## Field Documentation

## pix_fmt

enum AVPixelFormat AVCodecHWConfig::pix_fmt

For decoders, a hardware pixel format which that decoder may be able to decode to if suitable hardware is available.

For encoders, a pixel format which the encoder may be able to accept. If set to AV_PIX_FMT_NONE, this applies to all pixel formats supported by the codec.

Examples
  hw_decode.c.

Definition at line 339 of file codec.h.

Referenced by main().

## methods

int AVCodecHWConfig::methods

Bit set of AV_CODEC_HW_CONFIG_METHOD_* flags, describing the possible setup methods which can be used with this configuration.

Examples
  hw_decode.c.

Definition at line 344 of file codec.h.

Referenced by main().

## device_type

enum AVHWDeviceType AVCodecHWConfig::device_type

The device type associated with the configuration.

Must be set for AV_CODEC_HW_CONFIG_METHOD_HW_DEVICE_CTX and AV_CODEC_HW_CONFIG_METHOD_HW_FRAMES_CTX, otherwise unused.

Examples
  hw_decode.c.

Definition at line 351 of file codec.h.

Referenced by main().

The documentation for this struct was generated from the following file:

- libavcodec/codec.h